{% load i18n %}
{% load compress %}
{% load staticfiles %}
<!DOCTYPE HTML>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <meta name="ROBOTS" content="INDEX, FOLLOW" />
        <title>{% block title %}{{ app_name|title }}{% endblock %}</title>
        <meta name="author" content="" />
        <meta name="dc.language" content="en" />
        <link rel="shortcut icon" href="{% static 'hyperkitty/img/favicon.ico' %}" />
        <link rel="stylesheet" href="{% static 'hyperkitty/libs/jquery/smoothness/jquery-ui-1.10.3.custom.min.css' %}" type="text/css" media="all" />
        <link rel="stylesheet" href="{% static 'hyperkitty/libs/fonts/font-awesome/css/font-awesome.min.css' %}" type="text/css" media="all" />
        {% compress css %}
        <link rel="stylesheet" href="{% static 'hyperkitty/libs/fonts/icomoon/icomoon.css' %}" type="text/css" media="all" />
        <link rel="stylesheet" href="{% static 'hyperkitty/libs/fonts/droid/droid.css' %}" type="text/css" media="all" />
        <link rel="stylesheet" type="text/x-scss" media="all" href="{% static 'hyperkitty/sass/hyperkitty.scss' %}" />
        {% endcompress %}
        {% block additional_stylesheets %} {% endblock %}
        {% include 'hyperkitty/headers.html' %}
    </head>

    <body>

    {% include 'hyperkitty/top.html' %}

    <nav class="navbar navbar-fixed-top navbar-default">
        <div class="container">
            <div class="navbar-header col-md"> <!--part of navbar that's always present-->
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse">
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" id="archives-name" href="{% url 'hk_root' %}">{{ app_name|title }}</a>
            </div> <!-- /navbar-header -->

            <div class="navbar-collapse collapse"> <!--part of navbar that's collapsed on small screens-->
                {% if use_mockups %}
                <ul class="nav navbar-nav nav-stacked nav-pills">
                    <li {% if view_name == 'all_lists' or '/list' in request.path %}
                        class="active">
                        {% else %}
                        >
                        {% endif %}
                        <a href="{% url 'hk_root' %}">{% trans "Lists" %}</a>
                    </li>
                    <li {% if '/categories' in request.path %}
                        class="active">
                        {% else %}
                        >
                        {% endif %}
                        <a href="{% url 'hk_categories_overview' %}">{% trans "Categories" %}</a>
                    </li>
                    <li {% if '/tags' in request.path %}
                        class="active">
                        {% else %}
                        >
                        {% endif %}
                        <a href="{% url 'hk_tags_overview' %}">{% trans "Tags" %}</a>
                    </li>
                    <li {% if '/users' in request.path %}
                        class="active">
                        {% else %}
                        >
                        {% endif %}
                        <a href="{% url 'hk_users_overview' %}">{% trans "Users" %}</a>
                    </li>
                </ul>
                {% endif %}

                <!-- show dropdown for smaller viewports b/c login name/email may be too long -->
                <!-- only show this extra button/dropdown if we're in small screen sizes -->
                {% if user.is_authenticated or use_internal_auth %}
                <div class="nav navbar-nav navbar-right auth dropdown navbar-form hidden-tn hidden-xs hidden-md hidden-lg">
                    <button type="button" class="btn dropdown-toggle" id="loginDropdownMenu" data-toggle="dropdown">
                        <span class="fa fa-bars"></span>
                    </button>
                    <ul class="dropdown-menu" role="menu" aria-labelledby="loginDropdownMenu">
                        {% if postorius_installed %}
                        <li role="presentation">
                            <a role="menuitem" tabindex="-1" class="postorius" href="{{ postorius_installed }}">{% trans 'Manage lists' %}</a>
                        </li>
                        {% endif %}
                        {% if use_internal_auth %}
                        <li role="presentation"><a role="menuitem" tabindex="-1" class="mm_user" href="{{ login_url }}?next={{next|default:request.path|urlencode}}">{% trans "Login" %}</a></li>
                        <li role="presentation"><a role="menuitem" tabindex="-1" href="{% url 'hk_user_registration' %}?next={{next|default:request.path|urlencode}}">{% trans "Sign Up" %}</a></li>
                        {% else %}
                        <li role="presentation"><a role="menuitem" tabindex="-1" class="mm_logout" href="{{ logout_url }}?next={% url 'hk_root' %}">{% trans "Logout" %}</a></li>
                        <li role="presentation"><a role="menuitem" tabindex="-1" href="{% url 'hk_user_profile' %}">{{ user.email|truncatechars:"35" }}</a></li>
                        {% endif %}
                    </ul>
                </div>
                {% endif %}
                <!-- show regular list items for larger viewports (no dropdown)-->
                <ul class="nav navbar-nav navbar-right auth">
                    {% if user.is_authenticated %}
                        <li><a class="mm_logout hidden-sm" href="{{ logout_url }}?next={% url 'hk_root' %}">{% trans "Logout" %}</a></li>
                        <li><a class="hidden-sm" href="{% url 'hk_user_profile' %}">{{ user.email|truncatechars:"35" }}</a></li>
                    {% else %}
                        <li><a class="mm_user {% if use_internal_auth %}hidden-sm{% endif %}" href="{{ login_url }}?next={{next|default:request.path|urlencode}}">{% trans "Login" %}</a></li>
                        {% if use_internal_auth %}
                        <li><a class="hidden-sm" href="{% url 'hk_user_registration' %}?next={{next|default:request.path|urlencode}}">{% trans "Sign Up" %}</a></li>
                        {% endif %}
                    {% endif %}
                </ul>

                {% if postorius_installed %}
                <ul class="nav navbar-nav navbar-right"><li>
                    {% if mlist %}
                    <a href="{{ postorius_installed }}/{{ mlist.name }}">{% trans 'Manage this list' %}</a>
                    {% else %}
                    <a href="{{ postorius_installed }}">{% trans 'Manage lists' %}</a>
                    {% endif %}
                </li></ul>
                {% endif %}

                <form name="search" method="get" action="{% url 'hk_search' %}" class="navbar-form navbar-right" role="search">
                    {% if mlist %}<input type="hidden" name="mlist" value="{{ mlist.name }}" />{% endif %}
                    <div class="form-group">
                        <div class="input-group">
                            <input name="q" type="text" class="form-control"
                                   placeholder="Search {% if mlist %}this list{% else %}all lists{% endif %}"
                                   {% if query %}value="{{ query }}"{% endif %}
                                   />
                            <span class="input-group-btn">
                                <button class="btn btn-default" type="submit"><span class="fa fa-search"></span></button>
                            </span>
                        </div>
                    </div>
                </form>

            </div> <!--/navbar-collapse -->
        </div> <!-- /container for navbar -->
    </nav>

    {% if messages %}
    <div class="flashmsgs">
    {% for msg in messages %}
        <div class="flashmsg-wrapper">
            <!--<div class="alert alert-{{ msg.level_tag }} {{ msg.extra_tags }}">-->
            <div class="alert {{ msg.tags }}
                {% if msg.level == 25 %} {# "success" level. For Django >= 1.7, use DEFAULT_MESSAGE_LEVELS #}
                ">
                {% else %}
                alert-dismissible">
                <button type="button" class="close" data-dismiss="alert">&times;</button>
                {% endif %}
            {{ msg }}
            </div>
        </div>
    {% endfor %}
    </div>
    {% endif %}

    <div class="container">

        {% block content %} {% endblock %}

    </div> <!-- /container for content -->

    <footer class="footer">
      <div class="container">
        <p class="text-muted">
            Powered by <a href="http://hyperkitty.readthedocs.org">HyperKitty</a> version {{ HYPERKITTY_VERSION }}.
        </p>
      </div>
    </footer>

    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="{% static 'hyperkitty/libs/jquery/jquery-1.10.1.min.js' %}"><\/script>')</script>
    <script src="{% static 'hyperkitty/libs/jquery/jquery-ui-1.10.3.custom.min.js' %}"></script>
    {% compress js %}
    <script type="text/javascript" src="{% static 'hyperkitty/libs/bootstrap/javascripts/bootstrap.min.js' %}" />
    <script type="text/javascript" src="{% static 'hyperkitty/libs/jquery.expander.js' %}" />
    <script type="text/javascript" src="{% static 'hyperkitty/libs/d3.v2.min.js' %}" />
    <script type="text/javascript" src="{% static 'hyperkitty/libs/jquery.hotkeys.js' %}" />
    <script type="text/javascript" src="{% static 'hyperkitty/js/hyperkitty-common.js' %}" />
    <script type="text/javascript" src="{% static 'hyperkitty/js/hyperkitty-index.js' %}" />
    <script type="text/javascript" src="{% static 'hyperkitty/js/hyperkitty-overview.js' %}" />
    <script type="text/javascript" src="{% static 'hyperkitty/js/hyperkitty-thread.js' %}" />
    <script type="text/javascript" src="{% static 'hyperkitty/js/hyperkitty-userprofile.js' %}" />
    {% endcompress %}
    {% block additionaljs %} {% endblock %}

    {% include 'hyperkitty/bottom.html' %}

    </body>
</html>
